curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/jobs/{jobUid}/conversations/lqas \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"references": {
"lqa": [
{
"errorCategoryId": 2,
"severityId": 2,
"origin": "HUMAN"
}
],
"segmentId": "<string>",
"transGroupId": 1,
"commentedText": "<string>",
"conversationTitle": "<string>",
"conversationTitleOffset": 1,
"correlation": {
"role": "PARENT",
"uid": "<string>"
}
},
"lqaDescription": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/jobs/{jobUid}/conversations/lqas"
payload = {
"references": {
"lqa": [
{
"errorCategoryId": 2,
"severityId": 2,
"origin": "HUMAN"
}
],
"segmentId": "<string>",
"transGroupId": 1,
"commentedText": "<string>",
"conversationTitle": "<string>",
"conversationTitleOffset": 1,
"correlation": {
"role": "PARENT",
"uid": "<string>"
}
},
"lqaDescription": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
references: {
lqa: [{errorCategoryId: 2, severityId: 2, origin: 'HUMAN'}],
segmentId: '<string>',
transGroupId: 1,
commentedText: '<string>',
conversationTitle: '<string>',
conversationTitleOffset: 1,
correlation: {role: 'PARENT', uid: '<string>'}
},
lqaDescription: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v2/jobs/{jobUid}/conversations/lqas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comments": [
{
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"mentions": [
{
"mentionableGroup": {
"groupName": "<string>",
"groupReference": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
},
"tag": "<string>",
"uidReference": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"userReferences": [
{
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
}
]
}
],
"text": "<string>"
}
],
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateEdited": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"deleted": true,
"id": "<string>",
"lqaDescription": "<string>",
"references": {
"lqa": [
{
"errorCategoryId": 2,
"severityId": 2,
"origin": "HUMAN",
"originator": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"user": {
"id": "<string>"
}
}
],
"segmentId": "<string>",
"transGroupId": 1,
"commentedText": "<string>",
"conversationTitle": "<string>",
"conversationTitleOffset": 1,
"correlation": {
"role": "PARENT",
"uid": "<string>"
},
"jobPartUid": "<string>",
"taskId": "<string>"
},
"status": {
"by": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"date": "2023-11-07T05:31:56Z"
},
"type": "<string>"
}Create LQA conversation
Available to internal, guest and linguist users; project managers require the EDIT right on the job, other roles require SHOW, and guests must also match the project client and have the right to view other users’ projects.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the job
Body
Create LQA conversation request body
Response
Created
List of comments in the conversation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date the conversation was created
Date the conversation was last edited by a user
Date the conversation was last modified
Whether the conversation has been deleted
Unique identifier of the conversation
Description of the LQA issue
Show child attributes
Show child attributes
Show child attributes
Show child attributes
LQA
Was this page helpful?